Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
transactions
/
execution-node
/
{execution_node_hash_param}
List transactions executed on a specific execution node
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/transactions/execution-node/{execution_node_hash_param} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.blockscout.com/{chain_id}/api/v2/transactions/execution-node/{execution_node_hash_param}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.blockscout.com/{chain_id}/api/v2/transactions/execution-node/{execution_node_hash_param}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "authorization_list": [
        {
          "address_hash": "<string>",
          "authority": "<string>",
          "chain_id": 123,
          "nonce": "<string>",
          "r": "<string>",
          "s": "<string>",
          "v": 123
        }
      ],
      "base_fee_per_gas": "<string>",
      "block_number": 123,
      "confirmation_duration": [
        1000,
        2000
      ],
      "confirmations": 1,
      "created_contract": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "decoded_input": {
        "method_call": "<string>",
        "method_id": "<string>",
        "parameters": [
          {
            "name": "<string>",
            "type": "<string>",
            "value": {}
          }
        ]
      },
      "exchange_rate": "<string>",
      "fee": {
        "value": "<string>"
      },
      "fhe_operations_count": 123,
      "from": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "gas_limit": "<string>",
      "gas_price": "<string>",
      "gas_used": "<string>",
      "has_error_in_internal_transactions": true,
      "hash": "<string>",
      "historic_exchange_rate": "<string>",
      "is_pending_update": true,
      "max_fee_per_gas": "<string>",
      "max_priority_fee_per_gas": "<string>",
      "method": "transfer",
      "nonce": 1,
      "position": 1,
      "priority_fee": "<string>",
      "raw_input": "<string>",
      "revert_reason": {
        "method_call": "<string>",
        "method_id": "<string>",
        "parameters": [
          {
            "name": "<string>",
            "type": "<string>",
            "value": {}
          }
        ]
      },
      "timestamp": "2023-11-07T05:31:56Z",
      "to": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "token_transfers": [
        {
          "block_hash": "<string>",
          "block_number": 123,
          "from": {
            "ens_domain_name": "<string>",
            "hash": "<string>",
            "implementations": [
              {
                "address_hash": "<string>",
                "name": "<string>"
              }
            ],
            "is_contract": true,
            "is_scam": true,
            "is_verified": true,
            "metadata": {
              "tags": [
                {
                  "meta": {},
                  "name": "<string>",
                  "ordinal": 123,
                  "slug": "<string>",
                  "tagType": "<string>"
                }
              ]
            },
            "name": "<string>",
            "private_tags": [
              {
                "address_hash": "<string>",
                "display_name": "<string>",
                "label": "<string>"
              }
            ],
            "public_tags": [
              {
                "address_hash": "<string>",
                "display_name": "<string>",
                "label": "<string>"
              }
            ],
            "watchlist_names": [
              {
                "display_name": "<string>",
                "label": "<string>"
              }
            ]
          },
          "log_index": 123,
          "method": "transfer",
          "timestamp": "2023-11-07T05:31:56Z",
          "to": {
            "ens_domain_name": "<string>",
            "hash": "<string>",
            "implementations": [
              {
                "address_hash": "<string>",
                "name": "<string>"
              }
            ],
            "is_contract": true,
            "is_scam": true,
            "is_verified": true,
            "metadata": {
              "tags": [
                {
                  "meta": {},
                  "name": "<string>",
                  "ordinal": 123,
                  "slug": "<string>",
                  "tagType": "<string>"
                }
              ]
            },
            "name": "<string>",
            "private_tags": [
              {
                "address_hash": "<string>",
                "display_name": "<string>",
                "label": "<string>"
              }
            ],
            "public_tags": [
              {
                "address_hash": "<string>",
                "display_name": "<string>",
                "label": "<string>"
              }
            ],
            "watchlist_names": [
              {
                "display_name": "<string>",
                "label": "<string>"
              }
            ]
          },
          "token": {
            "address_hash": "<string>",
            "circulating_market_cap": "<string>",
            "circulating_supply": "<string>",
            "decimals": "<string>",
            "exchange_rate": "<string>",
            "holders_count": "<string>",
            "icon_url": "https://example.com",
            "name": "<string>",
            "symbol": "<string>",
            "total_supply": "<string>",
            "volume_24h": "<string>",
            "foreign_address": "<string>",
            "origin_chain_id": "<string>"
          },
          "total": {
            "token_id": "<string>",
            "token_instance": {
              "animation_url": "https://example.com",
              "external_app_url": "https://example.com",
              "id": "<string>",
              "image_url": "https://example.com",
              "is_unique": true,
              "media_type": "image/png",
              "media_url": "https://example.com",
              "metadata": {
                "description": "Test",
                "image": "https://example.com/image.png",
                "name": "Test"
              },
              "owner": {
                "ens_domain_name": "<string>",
                "hash": "<string>",
                "implementations": [
                  {
                    "address_hash": "<string>",
                    "name": "<string>"
                  }
                ],
                "is_contract": true,
                "is_scam": true,
                "is_verified": true,
                "metadata": {
                  "tags": [
                    {
                      "meta": {},
                      "name": "<string>",
                      "ordinal": 123,
                      "slug": "<string>",
                      "tagType": "<string>"
                    }
                  ]
                },
                "name": "<string>",
                "private_tags": [
                  {
                    "address_hash": "<string>",
                    "display_name": "<string>",
                    "label": "<string>"
                  }
                ],
                "public_tags": [
                  {
                    "address_hash": "<string>",
                    "display_name": "<string>",
                    "label": "<string>"
                  }
                ],
                "watchlist_names": [
                  {
                    "display_name": "<string>",
                    "label": "<string>"
                  }
                ]
              },
              "thumbnails": {
                "original": "<string>",
                "250x250": "<string>",
                "500x500": "<string>",
                "60x60": "<string>"
              },
              "token": {
                "address_hash": "<string>",
                "circulating_market_cap": "<string>",
                "circulating_supply": "<string>",
                "decimals": "<string>",
                "exchange_rate": "<string>",
                "holders_count": "<string>",
                "icon_url": "https://example.com",
                "name": "<string>",
                "symbol": "<string>",
                "total_supply": "<string>",
                "volume_24h": "<string>",
                "foreign_address": "<string>",
                "origin_chain_id": "<string>"
              },
              "value": "<string>"
            }
          },
          "transaction_hash": "<string>"
        }
      ],
      "token_transfers_overflow": true,
      "transaction_burnt_fee": "<string>",
      "transaction_tag": "personal",
      "transaction_types": [],
      "type": 123,
      "value": "<string>",
      "arbitrum": {
        "gas_used_for_l1": "<string>",
        "gas_used_for_l2": "<string>",
        "network_fee": "<string>",
        "poster_fee": "<string>",
        "batch_data_container": "<string>",
        "batch_number": 123,
        "commitment_transaction": {
          "hash": "<string>",
          "timestamp": "2023-11-07T05:31:56Z"
        },
        "confirmation_transaction": {
          "hash": "<string>",
          "timestamp": "2023-11-07T05:31:56Z"
        },
        "message_related_info": {
          "associated_l1_transaction_hash": "<string>",
          "message_id": 123
        }
      }
    }
  ],
  "next_page_params": {
    "block_number": 14127868,
    "index": 0
  }
}
{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

execution_node_hash_param
string
required

Execution node hash in the path

Pattern: ^0x([A-Fa-f0-9]{40})$
chain_id
string
required

The ID of the blockchain

Query Parameters

items_count
integer

Number of items per page

Required range: x >= 1
block_number
integer

Block number for paging

Required range: x >= 0
index
integer

Item index for paging

Response

List of transactions.

items
TransactionResponse · object[]
required
next_page_params
object | null
required
Example:
{ "block_number": 14127868, "index": 0 }